# Class SplitHandler

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.core.commands.AbstractHandler
org.eclipse.ui.internal.SplitHandler

All Implemented Interfaces:
  `IHandler, IHandler2`

public class SplitHandler extends AbstractHandler
Our sample handler extends AbstractHandler, an IHandler base class.

See Also:
  - `IHandler`
  - `AbstractHandler`

## Constructor Summary

Constructors
Constructor
Description
`SplitHandler()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`execute(ExecutionEvent event)`
Executes with the map of parameter values by name.

### Methods inherited from class AbstractHandler

`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

### Methods inherited from class EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface IHandler

`getHandlerLabel`

## Constructor Details

### SplitHandler

public SplitHandler()

## Method Details

### execute

public Object execute(ExecutionEvent event) throws ExecutionException
Description copied from interface: `IHandler`
Executes with the map of parameter values by name.

Parameters:
  `event` - An event containing all the information about the current state of the application; must not be `null`.
Returns:
  the result of the execution. Reserved for future use, must be `null`.
Throws:
  `ExecutionException` - if an exception occurred during execution.